### Method

# Qmi MessageDmsSetServiceProgrammingCodeInput ref

since: 1.0

#### Declaration [src]

    QmiMessageDmsSetServiceProgrammingCodeInput*
    qmi_message_dms_set_service_programming_code_input_ref (
      QmiMessageDmsSetServiceProgrammingCodeInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.0

#### Return value

Type: `QmiMessageDmsSetServiceProgrammingCodeInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.